Permalink
Browse files

Prep for 0.3.0 release

  • Loading branch information...
1 parent 0200a43 commit 8f7404d91071ccfe2f3d1a68f16fcec5aec0eb8a @brynary committed May 28, 2010
Showing with 16 additions and 12 deletions.
  1. +2 −1 History.txt
  2. +1 −1 Thorfile
  3. +0 −1 VERSION
  4. +1 −1 lib/rack/bug.rb
  5. +12 −8 rack-bug.gemspec
View
@@ -1,4 +1,5 @@
-== HEAD
+== 0.3.0 / 2010-05-28
+
* New features
* Log panel includes log level and timestamp (Tim Connor)
View
@@ -21,7 +21,7 @@ module GemHelpers
s.test_files = normalize_files(Dir['spec/**/*.rb'] - repo.lib.ignored_files)
s.has_rdoc = true
- s.extra_rdoc_files = %w[README.rdoc MIT-LICENSE.txt]
+ s.extra_rdoc_files = %w[README.md MIT-LICENSE.txt]
s.add_dependency "rack", ">= 1.0"
end
View
@@ -1 +0,0 @@
-0.2.1
View
@@ -22,7 +22,7 @@ module Rack::Bug
autoload :TimerPanel, "rack/bug/panels/timer_panel"
autoload :SphinxPanel, "rack/bug/panels/sphinx_panel"
- VERSION = "0.2.2.pre"
+ VERSION = "0.3.0"
class SecurityError < StandardError
end
View
@@ -2,25 +2,25 @@
Gem::Specification.new do |s|
s.name = %q{rack-bug}
- s.version = "0.2.2.pre"
+ s.version = "0.3.0"
- s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Bryan Helmkamp"]
- s.date = %q{2009-10-27}
+ s.date = %q{2010-05-28}
s.email = %q{bryan@brynary.com}
s.extra_rdoc_files = [
- "README.rdoc",
+ "README.md",
"MIT-LICENSE.txt"
]
s.files = [
".gitignore",
"History.txt",
"MIT-LICENSE.txt",
- "README.rdoc",
+ "README.md",
"Rakefile",
"Thorfile",
- "VERSION",
"lib/rack/bug.rb",
+ "lib/rack/bug/filtered_backtrace.rb",
"lib/rack/bug/options.rb",
"lib/rack/bug/panel.rb",
"lib/rack/bug/panel_app.rb",
@@ -38,6 +38,9 @@ Gem::Specification.new do |s|
"lib/rack/bug/panels/redis_panel/redis_extension.rb",
"lib/rack/bug/panels/redis_panel/stats.rb",
"lib/rack/bug/panels/request_variables_panel.rb",
+ "lib/rack/bug/panels/sphinx_panel.rb",
+ "lib/rack/bug/panels/sphinx_panel/sphinx_extension.rb",
+ "lib/rack/bug/panels/sphinx_panel/stats.rb",
"lib/rack/bug/panels/sql_panel.rb",
"lib/rack/bug/panels/sql_panel/panel_app.rb",
"lib/rack/bug/panels/sql_panel/query.rb",
@@ -67,6 +70,7 @@ Gem::Specification.new do |s|
"lib/rack/bug/views/panels/rails_info.html.erb",
"lib/rack/bug/views/panels/redis.html.erb",
"lib/rack/bug/views/panels/request_variables.html.erb",
+ "lib/rack/bug/views/panels/sphinx.html.erb",
"lib/rack/bug/views/panels/sql.html.erb",
"lib/rack/bug/views/panels/templates.html.erb",
"lib/rack/bug/views/panels/timer.html.erb",
@@ -94,7 +98,7 @@ Gem::Specification.new do |s|
s.homepage = %q{http://github.com/brynary/rack-bug}
s.require_paths = ["lib"]
s.rubyforge_project = %q{rack-bug}
- s.rubygems_version = %q{1.3.5}
+ s.rubygems_version = %q{1.3.7}
s.summary = %q{Debugging toolbar for Rack applications implemented as middleware}
s.test_files = [
"spec/fixtures/dummy_panel.rb",
@@ -116,7 +120,7 @@ Gem::Specification.new do |s|
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
- if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<rack>, [">= 1.0"])
else
s.add_dependency(%q<rack>, [">= 1.0"])

0 comments on commit 8f7404d

Please sign in to comment.